Package com.avaya.clientservices.call

## Enum CallType

- java.lang.Object
- - java.lang.Enum<CallType>
  - - com.avaya.clientservices.call.CallType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallType>`

      public enum CallType
      extends java.lang.Enum<CallType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DEFAULT_REGISTERED_CALLTYPE` |
    `HTTP_GUEST_WITH_AUTHORIZATION_TOKEN` |
    `HTTP_MEETME_CALLTYPE` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CallType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT_REGISTERED_CALLTYPE

          public static final CallType DEFAULT_REGISTERED_CALLTYPE

    - #### HTTP_MEETME_CALLTYPE

          public static final CallType HTTP_MEETME_CALLTYPE

    - #### HTTP_GUEST_WITH_AUTHORIZATION_TOKEN

          public static final CallType HTTP_GUEST_WITH_AUTHORIZATION_TOKEN

  - ### Method Detail

    - #### values

          public static CallType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallType c : CallType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null